commit 8dc1142ed81ac3fe481884cc06e8bd463bc6ffd7
Author: jklowden <jklowden>
Date:   Wed Jul 9 09:41:07 2008 +0000

    use locally provided server name correctly

diff --git a/ChangeLog b/ChangeLog
index b7d7f42..8adfbef 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jul  9 05:34:20 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/tds/token.c use locally provided server name correctly
+
 Tue Jul  8 15:38:37 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* src/dblib/dblib.c don't dereference a NULL dbproc. 
 
@@ -413,4 +416,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2550 2008/07/08 19:41:24 jklowden Exp $
+$Id: ChangeLog,v 1.2551 2008/07/09 09:41:07 jklowden Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index ca99868..6f8e13f 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.346 2008/07/08 17:16:55 jklowden Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.347 2008/07/09 09:41:10 jklowden Exp $");
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);
@@ -2501,8 +2501,12 @@ tds_process_msg(TDSSOCKET * tds, int marker)
 	/* server name */
 	rc += tds_alloc_get_string(tds, &msg.server, tds_get_byte(tds));
 
-	if (!msg.server[0] && tds->connection) {
-		sprintf(msg.server, "[%s]", tds_dstr_cstr(&tds->connection->server_name));
+	if ((!msg.server || !msg.server[0]) && tds->connection) {
+		free(msg.server);
+		if (-1 == asprintf(&msg.server, "[%s]", tds_dstr_cstr(&tds->connection->server_name))) {
+			tdsdump_log(TDS_DBG_ERROR, "out of memory (%d), %s\n", errno, strerror(errno));
+			return TDS_FAIL;
+		}
 	}
 
 	/* stored proc name if available */

